from setuptools import setup, find_packages

# WARNING: egg_info_patch is a temporary patch used to build sdist with 
# appropriate revision number. This feature is not supported by setuptools.
# Remove this patch as soon as svn structure changes to not use EXTERNALS 
# anymore.
import egg_info_patch

product_path = 'Products/CMFActivity'

version = open('%s/VERSION.txt' % product_path).read().split()[-1]

setup(name='Products.CMFActivity',
      version=version,
      description="CMFActivity Product provides distribute active objects in "\
      "Zope. It can be used to spread a computational intensive process over "\
      " multiple nodes of a cluster and benefit from elastic scalability.",
      long_description=open("README.txt").read() + "\n" + \
                       open("CHANGES.txt").read(),
      classifiers=[
        "Framework :: Zope2",
        "Operating System :: OS Independent",
        ],
      keywords='Zope CMFActivity',
      author='NEXEDI SA',
      author_email='info@nexedi.com',
      url='http://svn.erp5.org/erp5/trunk/products/CMFActivity',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['Products'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
      ],
      )
